---
# uninstall certbot

- name: stop nginx before removing it
  service:
    name: nginx
    state: stopped

- name: uninstall certbot on ubuntu 16.04
  apt:
    state: absent
    package: "{{ item }}"
    update_cache: yes
    cache_valid_time: 3600
  with_items:
    - "letsencrypt"
    - "nginx"
  when: ansible_os_family == "Debian"

- name: remove webroot /var/www/xai-corp.net
  file:
    state: absent
    path: /var/www/xai-corp.net

- name: remove cron job for renewing certs
  cron:
    name: renew let's encrypt certificates
    state: absent
    user: root
    day: "*/2"
    job: "letsencrypt renew "
